UpdateIngestConfiguration - Amazon IVS

UpdateIngestConfiguration

Updates a specified IngestConfiguration. Only the stage ARN attached to the IngestConfiguration can be updated. An IngestConfiguration that is active cannot be updated.

Request Syntax

POST /UpdateIngestConfiguration HTTP/1.1 Content-type: application/json { "arn": "string", "stageArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

arn

ARN of the IngestConfiguration, for which the related stage ARN needs to be updated.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws:ivs:[a-z0-9-]+:[0-9]+:ingest-configuration/[a-zA-Z0-9-]+

Required: Yes

stageArn

Stage ARN that needs to be updated.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 128.

Pattern: ^$|^arn:aws:ivs:[a-z0-9-]+:[0-9]+:stage/[a-zA-Z0-9-]+$

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "ingestConfiguration": { "arn": "string", "attributes": { "string" : "string" }, "ingestProtocol": "string", "name": "string", "participantId": "string", "stageArn": "string", "state": "string", "streamKey": "string", "tags": { "string" : "string" }, "userId": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

ingestConfiguration

The updated IngestConfiguration.

Type: IngestConfiguration object

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

exceptionMessage

User does not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

exceptionMessage

Updating or deleting a resource can cause an inconsistent state.

HTTP Status Code: 409

PendingVerification

exceptionMessage

Your account is pending verification.

HTTP Status Code: 403

ResourceNotFoundException

exceptionMessage

Request references a resource which does not exist.

HTTP Status Code: 404

ValidationException

exceptionMessage

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: